import React, { useState } from 'react';
import { utils } from '@ray-js/panel-sdk';
import { getElementById } from '@ray-js/api';
import { View, Text, Slider, Image, usePageEvent } from '@ray-js/ray';
import styles from './index.module.less';
import { Props } from './index.type';
import imgs from '../../res';

const HubColorCircle: React.FC<Props> = props => {
  const dpState = props.DpStateData;
  const codeMap = props.DpCodesMap;

  const toParseInt = (value: number): number => {
    return Math.floor(value);
  };

  return (
    <View className={styles.box}>
      <View className={styles.header}>123</View>
      <View className={styles.panel}>
        <View className={styles.configList}>
          <View className={styles.configList}>
            <Image src={imgs.icon_bhd} className={styles.icoImg} />
            <View className={styles.slider}>
              <Slider
                activeColor="#fff"
                backgroundColor="#333333"
                min={0}
                max={1000}
                step={codeMap.temp_value.property.step}
                value={dpState.temp_value}
                onChange={e => props.onSetDpState('temp_value', e.value)}
              />
            </View>
            <Text className={styles.SliderValue}>
              {toParseInt(
                (dpState.temp_value /
                  (codeMap.temp_value.property.max - codeMap.temp_value.property.min)) *
                  100
              )}
              %
            </Text>
          </View>
        </View>
      </View>
    </View>
  );
};
